include:
    - ../../../../../PaymentBundle/Tests/Behat/Features/Fixtures/PaymentMethodsConfigsRule.yml
Oro\Bundle\RuleBundle\Entity\Rule:
    rule1:
        name: 'Shipping Rule First'
        enabled: true
        sortOrder: 5
        expression: 'true'
        stopProcessing: false

Oro\Bundle\ShippingBundle\Entity\ShippingMethodTypeConfig:
    shippingMethodTypeConfig:
        type: 'primary'
        enabled: true
        options:
            price: 1.5
            type: 'per_order'
            handling_fee: 1.5

Oro\Bundle\ShippingBundle\Entity\ShippingMethodConfig:
    shippingMethodConfig:
        method: '<("flat_rate_".@flatRateIntegration->getId())>'
        typeConfigs: ['@shippingMethodTypeConfig']

Oro\Bundle\ShippingBundle\Entity\ShippingMethodsConfigsRule:
    shipping_methods_configs_rule1:
        rule: '@rule1'
        currency: 'EUR'
        methodConfigs: ['@shippingMethodConfig']
        organization: '@organization'

Oro\Bundle\ShippingBundle\Entity\ShippingMethodsConfigsRuleDestination:
    germany_destination:
        postalCodes: ['@postalCode1']
        country: '@germany'
        region: '@berlin'
        regionText: 'Berlin'
        methodConfigsRule: '@shipping_methods_configs_rule1'

Oro\Bundle\ShippingBundle\Entity\ShippingMethodsConfigsRuleDestinationPostalCode:
    postalCode1:
        name: '10115'

Oro\Bundle\CurrencyBundle\Entity\Price:
    price1:
        value: '1'
        currency: 'EUR'

Oro\Bundle\CustomerBundle\Entity\Customer:
    customer1:
        name: 'Company A'
        organization: '@organization'
        owner: '@admin'

Oro\Bundle\CustomerBundle\Entity\CustomerUser:
    amanda:
        email: 'AmandaRCole@example.org'
        username: 'AmandaRCole@example.org'
        password: 'gxP1L8r86hrdUMg9wKdfnsS/EZC4a7jOIdn6BMzegqL2S6e+KBIuHCrDVciMdiR/64osNnabmFonwK8l09vQxA=='
        salt: 'fgswya1kzw0sck8ck48kosowckwo0ws'
        firstName: 'Amanda'
        lastName: 'Cole'
        enabled: '1'
        confirmed: '1'
        customer: '@customer1'
        organization: '@organization'
        userRoles: ['@buyer']
        owner: '@admin'
        website: '@website1'

Oro\Bundle\ProductBundle\Entity\ProductUnitPrecision:
    precision1:
        unit: '@item'
        precision: '1'

Oro\Bundle\ProductBundle\Entity\ProductName:
    locvalue1:
        string: 'product 1'

Oro\Bundle\ProductBundle\Entity\Product:
    product1:
        sku: 'AA1'
        primaryUnitPrecision: '@precision1'
        __calls:
            - addName: ['@locvalue1']
        inventoryStatus: '@enumInventoryStatuses'
        status: 'enabled'
        organization: '@organization'
        owner: '@business_unit'
        attributeFamily: '@defaultProductFamily'

Oro\Bundle\ShoppingListBundle\Entity\ShoppingList:
    shoppinglist1:
        label: 'Shopping List 1'
        customerUser: '@amanda'
        website: '@website1'

Oro\Bundle\ShoppingListBundle\Entity\LineItem:
    lineitem1:
        product: '@product1'
        quantity: '5'
        unit: '@item'
        customerUser: '@amanda'
        shoppingList: '@shoppinglist1'
        organization: '@organization'

Oro\Bundle\ShoppingListBundle\Entity\ShoppingListTotal:
    shoppinglisttotal:
        __construct: ['@shoppinglist1','EUR']
        shoppingList: '@shoppinglist1'
        currency: 'EUR'
        subtotalValue: '10.1'
        valid: true

Oro\Bundle\CustomerBundle\Entity\CustomerUserAddress:
    address1:
        country: '@germany'
        region: '@berlin'
        label: 'label'
        street: 'Fifth avenue'
        city: 'Berlin'
        postalCode: '10115'
        organization: 'ORO'
        firstName: 'Amanda'
        lastName: 'Cole'
        frontendOwner: '@amanda'
        owner: '@admin'
        __calls:
            - setDefaults: ['@shippingType', '@billingType']
        systemOrganization: '@organization'
        primary: true

Oro\Bundle\PricingBundle\Entity\PriceList:
    pricelist_shipping:
        name: 'pricelist_shipping'
        __calls:
            - setCurrencies: [['USD', 'EUR']]
        active: true
        organization: '@organization'

Oro\Bundle\PricingBundle\Entity\PriceListToWebsite:
    priceListToWebsite:
        pricelist: '@pricelist_shipping'
        website: '@website1'
        sortOrder: 200

Oro\Bundle\PricingBundle\Entity\PriceListToCustomer:
    priceListToCustomer1:
        customer: '@customer1'
        pricelist: '@pricelist_shipping'
        website: '@website1'
        sortOrder: 200

Oro\Bundle\PricingBundle\Entity\PriceListToProduct:
    priceListToProduct:
        product: '@product1'
        pricelist: '@pricelist_shipping'

Oro\Bundle\PricingBundle\Entity\ProductPrice:
    productPrice1:
        pricelist: '@pricelist_shipping'
        product: '@product1'
        productSku: 'AA1'
        quantity: 5
        unit: '@item'
        value: 2
        currency: 'EUR'
    productPrice2:
        pricelist: '@pricelist_shipping'
        product: '@product1'
        productSku: 'AA1'
        quantity: 5
        unit: '@item'
        value: 5
        currency: 'USD'

Oro\Bundle\CustomerBundle\Entity\CustomerUserSettings:
    customerUserSetting1:
        customerUser: '@amanda'
        __construct: ['@website1']
        currency: 'EUR'

Oro\Bundle\CustomerBundle\Entity\CustomerUserAddressToAddressType:
    billing:
        address: '@address1'
        type: '@billingType'
        default: true
    shipping:
        address: '@address1'
        type: '@shippingType'
        default: true
